//======================================================================
//
// Ioctlcmd.h
//
// Copyright (C) 1996-1998 Mark Russinovich and Bryce Cogswell
//
// This file is shared between the GUI filter dialog and the driver.
//
//======================================================================

//
// Temp filter masks
//
#define TEMPFILTER 1
#define TMPFILTER  2


#define FILE_DEVICE_UNDELETE	0x00008320

//
// commands that the GUI can send the device driver
//
#define UNDELETE_FILTER_UPDATE  (ULONG) CTL_CODE( FILE_DEVICE_UNDELETE, 0x00, METHOD_NEITHER, FILE_ANY_ACCESS )
#define UNDELETE_DIR_FILTER_UPDATE  (ULONG) CTL_CODE( FILE_DEVICE_UNDELETE, 0x01, METHOD_NEITHER, FILE_ANY_ACCESS )
#define UNDELETE_MUTEX  (ULONG) CTL_CODE( FILE_DEVICE_UNDELETE, 0x02, METHOD_NEITHER, FILE_ANY_ACCESS )
